        subroutine REDUCT(K2)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
        real KREDL, TKEL
        integer I,II,J,K,KK,K2
      do 130 J = 1, KOUNT
         II = -2
         TKEL = TCELG(J,NDAT)+273.15
         do 120 K = 1, 7
            if (SPFLGG(K,K2).eq.0) go to 110
            do 100 I = 1, 3
               KK = 3*K+II+I-1
               KREDL = KREDG(I,K,K2)
               if (EREDG(I,K,K2).ne.0.0) KREDL = 10.**(KREDG(I,K,K2)-
     &            ((1000.*EREDG(I,K,K2))/(4.58*TKEL)))
               REDKL(J,K2) = REDKL(J,K2)+ALPHA(KK,J,K2)*KREDL*REDAGG(J,
     &            NDAT)
100         continue
110         continue
            II = II+1
120      continue
130   continue
      return
      end
